com.smartgwt.client.types

## Enum TabTitleEditEvent

- java.lang.Object
- - java.lang.Enum<TabTitleEditEvent>
  - - com.smartgwt.client.types.TabTitleEditEvent

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<TabTitleEditEvent>

      public enum TabTitleEditEvent
      extends java.lang.Enum<TabTitleEditEvent>
      implements ValueEnum

  An event that triggers title editing in a TabSet.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLICK` Start editing when the user single-clicks a tab title
    `DOUBLECLICK` Start editing when the user double-clicks a tab title

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static TabTitleEditEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TabTitleEditEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLICK

          public static final TabTitleEditEvent CLICK

      Start editing when the user single-clicks a tab title

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "click".

    - #### DOUBLECLICK

          public static final TabTitleEditEvent DOUBLECLICK

      Start editing when the user double-clicks a tab title

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "doubleClick".

  - ### Method Detail

    - #### values

          public static TabTitleEditEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TabTitleEditEvent c : TabTitleEditEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TabTitleEditEvent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`